/*
On 2014, create 2008 & 2014 compat databases

CREATE DATABASE compat100;
ALTER DATABASE  compat100 SET COMPATIBILITY_LEVEL = 100;
CREATE DATABASE compat120;
ALTER DATABASE  compat120 SET COMPATIBILITY_LEVEL = 120;
GO
*/

-- works on 80 & 90, fails on 100 & 120
SELECT merge = 1;
GO

-- works on 80, fails on 90 & 100
-- different error message on 2014, even in 100
SELECT TOP (1) o.name
  FROM sys.objects AS o,
       sys.columns AS c
  WHERE o.[object_id] *= c.[object_id]
  ORDER BY o.name;

-- works on 90+
SELECT * FROM 
  sys.dm_db_index_physical_stats(DB_ID(), NULL, NULL, NULL, NULL);