USE AdventureWorks2012;
SET NOCOUNT ON;
GO

CREATE TABLE dbo.MyTable(ID INT PRIMARY KEY);
INSERT dbo.MyTable(ID) VALUES(1);
GO

-- copy this portion to another window
-- and run simultaneously with and 
-- without the HOLDLOCK hint

DECLARE @i INT = 1;
WHILE @i <= 100000
BEGIN
	MERGE dbo.MyTable -- WITH (HOLDLOCK) 
	  AS trg USING
	  (
	    SELECT MAX(ID)+1 FROM dbo.MyTable
	  ) AS src(New_ID)
	  ON trg.ID = src.New_ID
	  WHEN NOT MATCHED THEN
		INSERT (ID) VALUES (New_ID);

	SET @i += 1;
END

DROP TABLE dbo.MyTable;