USE AdventureWorks2012;
SET NOCOUNT ON;
GO

SELECT h.CustomerID, h.SalesOrderID,
  (SELECT COUNT(*) FROM Sales.SalesOrderDetail AS d WHERE d.SalesOrderID = h.SalesOrderID),
  (SELECT MAX(LineTotal) FROM Sales.SalesOrderDetail AS d WHERE d.SalesOrderID = h.SalesOrderID)
FROM Sales.SalesOrderHeader AS h
WHERE h.CustomerID IN (11000, 29792);
-- people seem to want to do this to avoid GROUP BY

SELECT h.CustomerID, h.SalesOrderID,
  COUNT(*), MAX(d.LineTotal)
FROM Sales.SalesOrderHeader AS h
INNER JOIN Sales.SalesOrderDetail AS d
ON h.SalesOrderID = d.SalesOrderID
WHERE h.CustomerID IN (11000, 29792)
GROUP BY h.CustomerID, h.SalesOrderID;