USE AdventureWorks2014; 
SET NOCOUNT ON;
GO

-- SET STATISTICS IO ON

-- all three plans are identical
SELECT CustomerID FROM Sales.Customer
  WHERE CustomerID IN 
  (
    SELECT CustomerID FROM Sales.SalesOrderHeader
  );

SELECT c.CustomerID FROM Sales.Customer AS c
  WHERE EXISTS
  (
    SELECT 1 FROM Sales.SalesOrderHeader AS h
    WHERE h.CustomerID = c.CustomerID
  );

SELECT CustomerID FROM Sales.Customer
INTERSECT
SELECT CustomerID FROM Sales.SalesOrderHeader;