USE AdventureWorks2014;
SET NOCOUNT ON;
GO

-- sometimes OUTER JOIN wins, sometimes it loses

SELECT CustomerID FROM Sales.Customer
  WHERE CustomerID NOT IN (SELECT CustomerID FROM Sales.SalesOrderHeader
    --WHERE OrderDate < '20090715'  --AND TotalDue > 2000
   ) OPTION (RECOMPILE);

SELECT c.CustomerID FROM Sales.Customer AS c
  WHERE NOT EXISTS (SELECT CustomerID FROM Sales.SalesOrderHeader AS h
    WHERE h.CustomerID = c.CustomerID
      --AND OrderDate < '20090715' --AND TotalDue > 2000
	 ) OPTION (RECOMPILE);

SELECT c.CustomerID FROM Sales.Customer AS c
LEFT OUTER JOIN Sales.SalesOrderHeader AS h
ON c.CustomerID = h.CustomerID
      --AND h.OrderDate < '20090715' AND h.TotalDue > 2000
WHERE h.SalesOrderID IS NULL OPTION (RECOMPILE);

SELECT CustomerID FROM Sales.Customer
EXCEPT
SELECT CustomerID FROM Sales.SalesOrderHeader
  --WHERE OrderDate < '20090715' AND TotalDue > 2000
  OPTION (RECOMPILE);