USE AdventureWorks2014;
SET NOCOUNT ON;
GO

DECLARE @x VARCHAR = 'hello';

-- will these all yield the same result?
SELECT 
  [variable] = @x,
  [cast]     = CAST('hello' AS VARCHAR),
  [convert]  = CONVERT(VARCHAR, 'hello');
GO

-- how about in a procedure parameter?
CREATE PROCEDURE dbo.whatever
  @x VARCHAR
AS
BEGIN
  SELECT @x, LEN(@x);
END
GO

EXEC dbo.whatever @x = 'hello';
GO

DROP PROCEDURE dbo.whatever;
GO

-- a table column will yield an error
DECLARE @x TABLE(x VARCHAR);
INSERT @x(x) VALUES('hello');